Subject: bug#31719: closed (Re: bug#31719: icedtea-3 binaries contain references to icedtea-2)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 21 Apr 2021 12:42:02 +0000

Your bug report

#31719: icedtea-3 binaries contain references to icedtea-2

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
31719: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=31719
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#31719: icedtea-3 binaries contain references to icedtea-2
From: Ludovic Courtès <[email-masked]>
To: Carlo Zancanaro <[email-masked]>
Cc: [email-masked]
Date: Wed, 21 Apr 2021 14:40:40 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

Carlo Zancanaro <[email-masked]> skribis:

> On 21 April 2021 2:38:56 am AEST, "Ludovic Courtès" <[email-masked]> wrote:
>>Sounds good?
>
> Sounds good, except I don't have commit privileges. 😊 Can someone else push it for me?

Oops!  I adjusted the patch so it would apply to ‘master’, and followed
up with two commits:

  f8acd1aeef gnu: openjdk: Disallow references to the JDK used for build.
  e511a1d327 gnu: openjdk: Avoid non-top-level 'use-modules'.
  698c4365ba gnu: openjdk: Fix library substitution when libraries aren't found.

I rebuilt everything up to openjdk@11.

Thanks!

Ludo’.

Subject: icedtea-3 binaries contain references to icedtea-2
From: Ricardo Wurmus <[email-masked]>
To: <[email-masked]>
Cc: Gábor Boskovits <[email-masked]>
Date: Tue, 5 Jun 2018 12:47:45 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Many binaries of the icedtea-3 package contain references to icedtea-2,
which was used to build it.  Because of these references users of
icedtea-3 have to *also* download icedtea-2.  And because icedtea-2
contains references to icedtea-1, they *also* need to download that
version.

It is possible that icedtea-1 contains references to the bootstrap JDK,
which will then also have to be downloaded.

We should figure out a way to remove all of these references.

-- 
Ricardo